﻿/**
 * angular js hack for ng-cloak
 */
[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
    display: none !important;
}


/**
 * angular js tooltip validation
 */
.k-widget.k-tooltip-validation {
    display: none !important;
}


/**
 * Sequence strip
 */
.fwh-sequence-strip {
    display:block;
    height: auto;
    background-color: #e6e7e8;
    margin: 5px 0px 5px 0px; 
    padding: 2px 0px 2px 10px;     
    font-size: 9pt;
}

.fwh-sequence-strip > ul {    
    padding: 0px;
    margin: 0px;   
}

.fwh-sequence-strip > ul > li  {
    display:inline-block;   
    width: 200px;
    margin: 1px 10px 0px 0px; 
    vertical-align: middle;
}

.fwh-sequence-strip > ul > li > table tr td {
    padding: 2px;   
}

.fwh-sequence-strip > ul > li > table tr td:first-child > h3 {
    height: 40px;
    width: 40px;
    border: 4px solid #ccc;
    border-radius: 20px;
    text-align: center;
    font-weight: bold;    
    font-size: 20pt;
    color: #ccc;
    background-color: #e6e7e8;   
    padding: 0px;
    margin: 0px;  
}

.fwh-sequence-strip > ul > li.active > table tr td:first-child > h3 {   
    border: 4px solid #48484a;  
    color: #48484a;
    background-color: #fff; 
}

.fwh-sequence-strip > ul > li > table tr td:nth-child(2) > span {    
    text-align: left; 
    padding: 0px; 
    margin: 0px;
    color: #ccc;        
}

.fwh-sequence-strip > ul > li.active > table tr td:nth-child(2) > span {    
   color: #48484a;
}

/**
 * TAB NAV BAR
 */
.fwh-tab-content {
    padding: 5px 15px 5px 15px !important;
    border: solid 1px #48484a;  
    border-top: 5px solid #48484a;    
    padding-top: 15px !important;    
}

.fwh-tab-header {
   
}

.nav-tabs > li > a {
    color: #48484a;
    background-color: #f5f5f5;  
    border-radius: 0px 0px 0px 0px;  
}

.nav-tabs > li.active > a,
.nav-tabs > li.active > a:hover,
.nav-tabs > li.active > a:focus {
  color: #e6e7e8; 
  background-color: #48484a;
  border: 1px solid #48484a; 
}

.nav-tabs > li a[disabled] {
    pointer-events: none;
    color: #ccc;
    cursor:none;
}

/**
 * NAVBAR
 */

.fwh-navbar {
    box-shadow: none;
    border-bottom: solid 0px #000;
    background-color: #48484a !important;
}

#main-navbar .dropdown-menu {
    background-color: #48484a !important; 
    color: #e6e7e8 !important;           
    border: 0px solid #ccc;
    border: 0px solid rgba(0, 0, 0, .15);  
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;     
}   

#main-navbar .dropdown-menu a { 
    color: #e6e7e8 !important; 
}

#main-navbar .dropdown-menu a:focus,
#main-navbar .dropdown-menu a:hover {
    color: #262626 !important;        
    background-color: #f5f5f5 !important;
}

#main-navbar .dropdown-toggle {
    background-color: #48484a !important;
    height:45px;
    margin-left: 2px;
}

#main-navbar .dropdown-menu .divider {
    background-color: #e6e7e8 !important;
}

.detailedTypeCombo {
    width:200px;
}


@media (min-width: 1200px) {
    #main-navbar > ul > li > a {
        color: #e6e7e8 !important;
        background-color: #48484a !important;
        padding-top: 12px;
        padding-bottom: 0px;
    } 
}

/* we need this to position the logo image all the way to the left */
.container-fluid,
.container-fluid > .navbar-header {  
  padding-left: 0px; 
  margin-left: 0px;   
}

/* controls the height of the nav bar (must be the same as logo image) */
.navbar {
    min-height: 45px !important;   
    /*height: 50px !important;*/ /* causes transparent lines when in collapsed mode */ 
}

/* hide the separating line when in collapsed state */
.navbar-collapse { 
  border-top: 0px solid transparent;
  box-shadow: inset 0 0px 0 rgba(255, 255, 255, .1); 
}

/* we need this to keep the pancake menu in the middle and control the navbar height to 45px */
.navbar-toggle { 
  margin-top: 5px; 
  margin-bottom: 3px; 
}

#pending-user-count {
    background: yellow;
    border-radius: 50%;
    padding: 1px;
    color: black;
    margin-left: 2px;
    margin-right: 2px;
}

/**
 * HEADER / BODY
 */
a[disabled] {
    pointer-events: none;
    color: #ccc;
    cursor: none;
}

.nav, .pagination, .carousel, .panel-title a {
    cursor: pointer;
}

body {
    padding-top: 65px;
    padding-bottom: 150px;
    font-family: Arial, Verdana, sans-serif;    
}

.table-borderless > tbody > tr > td { 
    border: 0 !important;
}

.table-borderless > tbody > tr > td:first-child { 
    padding-left: 0 !important;
}

.table-borderless > tbody > tr > td:last-child { 
    padding-right: 0 !important;
}

/* this setting stretches the content area */
.container { 
  width:auto;  
}

.nowrap-link {
    white-space:nowrap;    
}

/**
* BORDERS
*/
.panel-heading {  
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
}

.panel-footer {
  
  border-bottom-right-radius: 0px;
  border-bottom-left-radius: 0px;
}

.panel {
  border-radius: 0px;
}

.input-sm {
  border-radius: 0px;
}

.btn { 
  border-radius: 0px;
}

/**
* COLORS
*/

.btn:active,
.btn.active {
  -webkit-box-shadow: none;
          box-shadow: none;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.btn-primary,
.open .dropdown-toggle .btn-primary {  
  background-color: #00aeef;
  border-color: #039cd5;
}

/* REPLACE #7ea700 WITH #039cd5 (darker #00aeef) */

.k-state-selected, .k-state-selected:link, .k-state-selected:visited, .k-list>.k-state-selected, .k-list>.k-state-highlight, .k-panel>.k-state-selected, .k-ghost-splitbar-vertical, .k-ghost-splitbar-horizontal, .k-draghandle.k-state-selected:hover, .k-scheduler .k-scheduler-toolbar .k-state-selected, .k-scheduler .k-today.k-state-selected, .k-marquee-color {
    background-color: #039cd5;
    border-color: #039cd5;
}

.k-slider-selection {
    background-color: #039cd5;
}

.k-scheduler-marquee:before, .k-scheduler-marquee:after {
    border-color: #039cd5;
}

.k-state-active, .k-state-active:hover, .k-active-filter, .k-tabstrip .k-state-active {   
    border-color: #039cd5;   
}

.k-button:active, .k-button.k-state-active {  
    background-color: #039cd5;
    border-color: #039cd5;
}

.k-tiles li.k-state-selected {
    border-color: #039cd5;
}

.k-editor-inline ::selection {
    background-color: #039cd5;   
}
.k-editor-inline ::-moz-selection {
    background-color: #039cd5;   
}

.k-gantt .k-treelist .k-state-selected, .k-gantt .k-treelist .k-state-selected td, .k-gantt .k-treelist .k-alt.k-state-selected, .k-gantt .k-treelist .k-alt.k-state-selected>td {
    background-color: #039cd5;
}

.k-state-selected.k-task-milestone, .k-state-selected .k-task-summary-complete {
    border-color: #039cd5;
    background: #039cd5;
}
.k-task-single {   
    border-color: #039cd5;   
}
.k-state-selected.k-task-single {
    border-color: #039cd5;
}
.k-state-selected.k-line {
    background-color: #039cd5;
    color: #039cd5;
}

.k-numeric-wrap .k-link.k-state-selected {
    background-color: #039cd5;
}

.km-pane-wrapper .k-mobile-list .k-item.k-state-selected {
    background-color: #039cd5;
    border-top-color: #039cd5;
}

.k-tabstrip-items .k-state-active, .k-panelbar .k-tabstrip-items .k-state-active, .k-ie7 .k-tabstrip-items .k-state-active .k-loading {   
    border-color: #039cd5;
}

.k-primary, .k-overflow-container .k-primary { 
    border-color: #039cd5;  
    background-color: #039cd5;   
}

.k-primary:active {   
    border-color: #039cd5;   
    background-color: #039cd5;   
}

.k-checkbox:checked+.k-checkbox-label:after {   
    color: #039cd5;
}

.k-radio:checked+.k-radio-label:after {
    background-color: #039cd5;
 }

.k-draghandle:hover {
    border-color: #039cd5;
    background-color: #039cd5;   
}

.k-event, .k-task-complete {
    border-color: #039cd5;
    background: #039cd5 0 -257px none repeat-x;
    color: #fff;
}

/* REPLACE #8ebc00 WITH #00aeef */

.k-draghandle {
    border-color: #00aeef;
    background-color: #00aeef; 
}

.k-button:hover, .k-button.k-state-hover {  
    border-color: #00aeef;
    background-color: #00aeef;
}

.k-button:active:hover, .k-button.k-state-active:hover {  
    border-color: #00aeef;
    background-color: #00aeef;
}

.k-button:focus:not(.k-state-disabled):not([disabled]) {
    -webkit-box-shadow: inset 0 0 0 1px #00aeef;
    box-shadow: inset 0 0 0 1px #00aeef;
}

.k-state-focused, .k-grouping-row .k-state-focused {
    border-color: #00aeef;
}

.k-calendar .k-nav-fast.k-state-hover {   
    background-color: #00aeef;    
}

.k-state-focused, .k-list>.k-state-focused, .k-listview>.k-state-focused, .k-grid-header th.k-state-focused, td.k-state-focused, .k-button.k-state-focused {
    -webkit-box-shadow: inset 0 0 0 1px #00aeef;
    box-shadow: inset 0 0 0 1px #00aeef;
}

.k-ie8 .k-panelbar span.k-state-focused, .k-ie8 .k-menu li.k-state-focused, .k-ie8 .k-listview>.k-state-focused, .k-ie8 .k-grid-header th.k-state-focused, .k-ie8 td.k-state-focused, .k-ie8 .k-tool.k-state-hover, .k-ie8 .k-button:focus, .k-ie8 .k-button.k-state-focused, .k-ie7 .k-panelbar span.k-state-focused, .k-ie7 .k-menu li.k-state-focused, .k-ie7 .k-listview>.k-state-focused, .k-ie7 .k-grid-header th.k-state-focused, .k-ie7 td.k-state-focused, .k-ie7 .k-tool.k-state-hover, .k-ie7 .k-button:focus, .k-ie7 .k-button.k-state-focused {
    background-color: #00aeef;
}

.k-state-hover, .k-state-hover:hover, .k-splitbar-horizontal-hover:hover, .k-splitbar-vertical-hover:hover, .k-list>.k-state-hover, .k-scheduler .k-scheduler-toolbar ul li.k-state-hover, .k-pager-wrap .k-link:hover, .k-dropdown .k-state-focused, .k-filebrowser-dropzone, .k-mobile-list .k-item>.k-link:active, .k-mobile-list .k-item>.k-label:active, .k-mobile-list .k-edit-label.k-check:active, .k-mobile-list .k-recur-view .k-check:active {
    background-color: #00aeef;
    border-color: #00aeef;
}
.k-mobile-list .k-scheduler-timezones .k-edit-field:nth-child(2):active {  
    background-color: #00aeef;
    border-color: #00aeef;
}
.k-ie7 .k-window-titlebar .k-state-hover, .k-ie8 .k-window-titlebar .k-state-hover {
    border-color: #00aeef;
}
.k-state-hover>.k-select, .k-state-focused>.k-select {
    border-color: #00aeef;
}
.k-button:hover, .k-button.k-state-hover, .k-button:focus, .k-button.k-state-focused, .k-textbox:hover, .k-state-hover, .k-state-hover:hover, .k-pager-wrap .k-link:hover, .k-other-month.k-state-hover .k-link, div.k-filebrowser-dropzone em, .k-draghandle:hover {
    background-image: none, -webkit-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -moz-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -o-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, linear-gradient(to bottom, #00aeef 0, #00aeef 100%);
}

.k-autocomplete.k-state-hover, .k-autocomplete.k-state-focused, .k-picker-wrap.k-state-hover, .k-picker-wrap.k-state-focused, .k-numeric-wrap.k-state-hover, .k-numeric-wrap.k-state-focused, .k-dropdown-wrap.k-state-hover, .k-dropdown-wrap.k-state-focused {
    background-color: #00aeef;    
    background-image: none, -webkit-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -moz-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -o-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, linear-gradient(to bottom, #00aeef 0, #00aeef 100%);   
}

.k-textbox:hover, .k-tiles li.k-state-hover {
    border-color: #00aeef;
}

.k-autocomplete.k-state-hover, .k-picker-wrap.k-state-hover, .k-numeric-wrap.k-state-hover, .k-dropdown-wrap.k-state-hover {
    background-color: #00aeef;    
    background-image: none, -webkit-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -moz-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -o-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, linear-gradient(to bottom, #00aeef 0, #00aeef 100%);   
}

.k-autocomplete.k-state-focused, .k-picker-wrap.k-state-focused, .k-numeric-wrap.k-state-focused, .k-dropdown-wrap.k-state-focused, .k-multiselect.k-header.k-state-focused {
    background-color: #00aeef;  
    background-image: none, -webkit-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -moz-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, -o-linear-gradient(top, #00aeef 0, #00aeef 100%);
    background-image: none, linear-gradient(to bottom, #00aeef 0, #00aeef 100%);  
}

.k-panelbar .k-state-focused.k-state-hover {
    background: #00aeef;    
}

.k-tabstrip-items .k-state-hover, .k-ie7 .k-tabstrip-items .k-state-hover .k-loading {
    border-color: #00aeef;
}

.k-grid td.k-state-focused {
    -webkit-box-shadow: inset 0 0 0 1px inset 0 0 0 1px #00aeef;
    box-shadow: inset 0 0 0 1px inset 0 0 0 1px #00aeef;
}

.k-primary:hover {  
    border-color: #00aeef;   
    background-color: #00aeef;  
}

.k-editor .k-tool:focus {
    -webkit-box-shadow: inset 0 0 0 1px #00aeef;
    box-shadow: inset 0 0 0 1px #00aeef;
}

.k-checkbox-label:hover:after, .k-checkbox:checked+.k-checkbox-label:hover:after {
    border-color: #00aeef;  
}

.k-checkbox-label:active:after {
    border-color: #00aeef; 
}
.k-checkbox:checked+.k-checkbox-label:active:after {
    border-color: #00aeef;
}

.k-radio-label:hover:before, .k-radio:checked+.k-radio-label:hover:before {
    border-color: #00aeef;   
}

.k-radio-label:active:before {  
    border-color: #00aeef;
}
.k-radio:checked+.k-radio-label:active:before { 
    border-color: #00aeef;
}

/**
 * pending action, feedback-action, pending-import
 */

#main-navbar #pending-action {
    color: yellow !important;
}

#main-navbar #feedback-action
{
    color: yellow !important;
}

/**
 * VALIDATION ERRORS ETC
 */

.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

/**
 * KENDO ELEMENTS
 */

div.k-grid-content {
    min-height: 45px;
}

tr.k-state-selected a {
    color: #fff !important;
}

tr.k-state-selected span.k-input {
    color: #fff !important;
}

div.k-loading-image {
    display: none !important;
}

div.k-loading-mask:before {
    font-family: "FontAwesome";
    top: 20%;
    left: 50%;
    position: absolute;
    content: "\f021";
    font-size: 28px;
    z-index: 99999;
    -moz-animation: spin 2s infinite linear;
    -o-animation: spin 2s infinite linear;
    -webkit-animation: spin 2s infinite linear;
    animation: spin 2s infinite linear;
}

div.k-grid-edit-row {
    height: 32px;
}

div.k-input.k-textbox {
    padding-left: 7px !important;
}

div.k-edit-cell {
    padding: 0 !important;
    margin-left: 3px;
    border-color: #006dcc;
}

a.k-grid-filter {
    background-color: transparent !important;
    margin-right: 0 !important;
}

a.k-grid-filter > span.k-filter {
    background-image: none !important;
}

a.k-grid-filter.k-state-active:after {
    font-family: "FontAwesome" !important;
    content: "\f0b0" !important;
    font-size: 14px !important;
    color: #006dcc;
}

a.k-grid-filter:after {
    font-family: "FontAwesome" !important;
    content: "\f0b0" !important;
    font-size: 14px !important;
    color: #f5f5f5;
    -webkit-text-stroke-width: 1px;
    -moz-text-stroke-width: 1px;
    -o-text-stroke-width: 1px;
    -text-stroke-width: 1px;
    -webkit-text-stroke-color: #000;
    -moz-text-stroke-color: #000;
    -o-text-stroke-color: #000;
    -text-stroke-color: #000;
}

.fwh-grid-toolbar {
    margin-bottom: 10px;
}

.fwh-checkbox-label {
    margin-left: 10px;
}

.no-scrollbar.k-grid-header
{
padding: 0 !important;
}

.no-scrollbar.k-grid-content
{
overflow-y: visible;
}

/**
 * EMPLOYEES GRID
 */

.employees-partial .k-grid-content {
   max-height: 400px;
}

@media ( min-width : 768px) {

    .employees-user-name-header,
    .employees-user-name-cell {
        width: 15%;
    }

    .employees-first-name-header,
    .employees-first-name-cell {
        width: 15%;
    }

    .employees-last-name-header,
    .employees-last-name-cell {
        width: 15%;
    }

    .employees-roles-header,
    .employees-roles-cell {
        width: 12.5%;
    }

    .employees-person-number-header,
    .employees-person-number-cell {
        width: 10%;
    }

    .employees-posroles-header,
    .employees-posroles-cell {
        width: 12.5%;
    }

    .employees-active-header,
    .employees-active-cell {
        width: 10%;
    }

    .employees-created-on-header,
    .employees-created-on-cell {
        width: 10%;
    }
}

@media ( max-width : 768px) {

    .employees-user-name-header,
    .employees-user-name-cell {
        width: 40%;
    }

    .employees-first-name-header,
    .employees-first-name-cell {
        width: 0%;
    }

    .employees-last-name-header,
    .employees-last-name-cell {
        width: 60%;
    }

    .employees-roles-header,
    .employees-roles-cell {
        width: 0%;
    }

    .employees-person-number-header,
    .employees-person-number-cell {
        width: 0%;
    }

    .employees-posroles-header,
    .employees-posroles-cell {
        width: 0%;
    }

    .employees-active-header,
    .employees-active-cell {
        width: 0%;
    }

    .employees-created-on-header,
    .employees-created-on-cell {
        width: 0%;
    }
}

/**
 *  POS  Custom Permission Search
 */


.posPermissionSearchParty-partial .k-grid-content {
   max-height: 400px;
}

@media ( min-width : 768px) {
    .posPermissionSearchParty-checkbox-select-header,
    .posPermissionSearchParty-checkbox-select-cell {
        width: 10%;
    }

    .posPermissionSearchParty-user-name-header,
    .posPermissionSearchParty-user-name-cell {
        width: 15%;
    }

    .posPermissionSearchParty-first-name-header,
    .posPermissionSearchParty-first-name-cell {
        width: 15%;
    }

    .posPermissionSearchParty-last-name-header,
    .posPermissionSearchParty-last-name-cell {
        width: 15%;
    }

    .posPermissionSearchParty-email-header,
    .posPermissionSearchParty-email-cell {
        width: 20%;
    }

    .posemployees-roles-header,
    .posemployees-roles-cell {
        width: 25%;
    }

}

/**
 *  POS  Custom Permission Sharing
 */


.posPermissionShare-partial .k-grid-content {
   max-height: 400px;
}


@media ( min-width : 768px) {   

    .posPermissionShare-name-header,
    .posPermissionShare-name-cell {
        width: 25%;
    }

    .posPermissionShare-email-header,
    .posPermissionShare-email-cell {
        width: 25%;
    }

    .posPermissionShare-isAdmin-select-header,
    .posPermissionShare-isAdmin-select-cell {
        width: 25%;
    }

    .posPermissionShare-status-header,
    .posPermissionShare-status-cell {
        width: 25%;
    }    
}

/**
 *  POS  Custom  Sharing Action
 */


.posPermissionShareAction-partial .k-grid-content {
   max-height: 400px;
}


@media ( min-width : 768px) {   

    .posPermissionShareAction-desciption-header,
    .posPermissionShareAction-desciption-cell {
        width: 20%;
    }

    .posPermissionShareAction-isAdmin-select-header,
    .posPermissionShareAction-isAdmin-select-cell {
        width: 20%;
    }

    .posPermissionShareAction-status-header,
    .posPermissionShareAction-status-cell {
        width: 20%;
    }
    .posPermissionShareAction-created-by-name-header,
    .posPermissionShareAction-created-by-name-cell {
        width: 20%;
    }

    .posPermissionShareAction-shared-by-name-header,
    .posPermissionShareAction-shared-by-name-cell{
        width: 20%;
    }
   
}


/**
 *  THIRD PARTY PAGES
 */
.thirdPartyPending-partial .k-grid-content {
   max-height: 400px;
}

@media ( min-width : 1500px) {
    .thirdparty-first-name-header,
    .thirdparty-first-name-cell {
        width: 15%;
    }

    .thirdparty-last-name-header,
    .thirdparty-last-name-cell {
        width: 15%;
    }

    .thirdparty-email-header,
    .thirdparty-email-cell {
        width: 15%;
    }

	.thirdparty-active-header,
	.thirdparty-active-cell {
		width: 10%;
	}

    .thirdparty-shop-header,
    .thirdparty-shop-cell {
        width: 12.5%;
    }

    .thirdparty-info-header,
    .thirdparty-info-cell {
        width: 10%;
    }

    .thirdparty-action-header,
    .thirdparty-action-cell {
        width: 12.5%;
    }

    .thirdparty-source-header,
    .thirdparty-source-cell {
        width: 10%;
    }
}

@media ( min-width : 769px) and ( max-width : 1499px) {
	.thirdparty-first-name-header,
	.thirdparty-first-name-cell {
		width: 15%;
	}

	.thirdparty-last-name-header,
	.thirdparty-last-name-cell {
		width: 15%;
	}

	.thirdparty-email-header,
	.thirdparty-email-cell {
		width: 15%;
	}

	.thirdparty-active-header,
	.thirdparty-active-cell {
		width: 5%;
	}

	.thirdparty-shop-header,
	.thirdparty-shop-cell {
		width: 10%;
	}

	.thirdparty-info-header,
	.thirdparty-info-cell {
		width: 5%;
	}

	.thirdparty-action-header,
	.thirdparty-action-cell {
		width: 30%;
	}

    .thirdparty-source-header,
    .thirdparty-source-cell {
        width: 5%;
    }
}


@media ( max-width : 768px) {
    .thirdparty-first-name-header,
    .thirdparty-first-name-cell {
        width: 15%;
    }

    .thirdparty-last-name-header,
    .thirdparty-last-name-cell {
        width: 15%;
    }

    .thirdparty-email-header,
    .thirdparty-email-cell {
        width: 15%;
    }

	.thirdparty-active-header,
	.thirdparty-active-cell {
		width: 0%;
	}

    .thirdparty-shop-header,
    .thirdparty-shop-cell {
        width: 15%;
    }

    .thirdparty-info-header,
    .thirdparty-info-cell {
        width: 15%;
    }

    .thirdparty-action-header,
    .thirdparty-action-cell {
        width: 20%;
    }

    .thirdparty-source-header,
    .thirdparty-source-cell {
        width: 5%;
    }
}


/**
 *   Matching Team Access profiles page
 */

@media ( min-width : 768px) {
	.matching-ta-first-name-header,
	.matching-ta-first-name-cell {
		width: 13%;
	}

	.matching-ta-last-name-header,
	.matching-ta-last-name-cell {
		width: 13%;
	}

	.matching-ta-email-header,
	.matching-ta-email-cell {
		width: 13%;
	}

	.matching-ta-username-header,
	.matching-ta-username-cell {
		width: 13%;
	}

	.matching-ta-shop-header,
	.matching-ta-shop-cell {
		width: 13%;
	}

	.matching-ta-info-header,
	.matching-ta-info-cell {
		width: 11%;
	}

	.matching-ta-action-header,
	.matching-ta-action-cell {
		width: 11%;
	}

	.matching-ta-active-header,
	.matching-ta-active-cell {
		width: 13%;
	}
}

@media ( max-width : 768px) {
	.matching-ta-first-name-header,
	.matching-ta-first-name-cell {
		width: 13%;
	}

	.matching-ta-last-name-header,
	.matching-ta-last-name-cell {
		width: 13%;
	}

	.matching-ta-email-header,
	.matching-ta-email-cell {
		width: 13%;
	}

	.matching-ta-username-header,
	.matching-ta-username-cell {
		width: 13%;
	}

	.matching-ta-shop-header,
	.matching-ta-shop-cell {
		width: 13%;
	}

	.matching-ta-info-header,
	.matching-ta-info-cell {
		width: 13%;
	}

	.matching-ta-action-header,
	.matching-ta-action-cell {
		width: 22%;
	}

	.matching-ta-active-header,
	.matching-ta-active-cell {
		width: 0%;
	}
}


/**
 *   Import employee log page
 */

.thirdPartyImportLog-partial .k-grid-content {
    max-height: 400px;
}

@media ( min-width : 768px) {
    .pospermissionaudit-shared-name-header,
    .pospermissionaudit-shared-name-cell {
        width: 25%;
    }

    .pospermissionaudit-shared-email-header,
    .pospermissionaudit-shared-email-cell {
        width: 25%;
    }

    .pospermissionaudit-modified-on-header,
    .pospermissionaudit-modified-on-cell {
        width: 25%;
    }

    .pospermissionaudit-action-type-header,
    .pospermissionaudit-action-type-cell {
        width: 25%;
    }
}

@media ( max-width : 768px) {
    .pospermissionaudit-shared-name-header,
    .pospermissionaudit-shared-name-cell {
        width: 25%;
    }

    .pospermissionaudit-shared-email-header,
    .pospermissionaudit-shared-email-cell {
        width: 25%;
    }

    .pospermissionaudit-modified-on-header,
    .pospermissionaudit-modified-on-cell {
        width: 25%;
    }

    .pospermissionaudit-action-type-header,
    .pospermissionaudit-action-type-cell {
        width: 25%;
    }
}


/*@media ( min-width : 768px) {

    .page-section pos-applications-partial .first-name-header,
    .page-section pos-applications-partial .first-name-cell {
        width: 50%;
    }

    .page-section pos-applications-partial .last-name-header,
    .page-section pos-applications-partial .last-name-cell {
        width: 50%;
    }
}

@media ( max-width : 768px) {

    .page-section pos-applications-partial .first-name-header,
    .page-section pos-applications-partial .first-name-cell {
        width: 50%;
    }

    .page-section pos-applications-partial .last-name-header,
    .page-section pos-applications-partial .last-name-cell {
        width: 50%;
    }
}


/**
 * PARTY PERMISSION OVERRIDE
 */

.permission-override-history-partial .k-grid-content {
   max-height: 400px;
}

@media ( min-width : 768px) {

    .permission-override-history-partial .store-number-header,
    .permission-override-history-partial .store-number-cell {
        width: 0%;
    }

    .permission-override-history-partial .application-name-header,
    .permission-override-history-partial .application-name-cell {
        width: 20%;
    }

    .permission-override-history-partial .permission-header,
    .permission-override-history-partial .permission-cell {
        width: 20%;
    }

    .permission-override-history-partial .modifiedon-header,
    .permission-override-history-partial .modifiedon-cell {
        width: 20%;
    }

    .permission-override-history-partial .modifiedby-header,
    .permission-override-history-partial .modifiedby-cell {
        width: 20%;
    }

    .permission-override-history-partial .runas-header,
    .permission-override-history-partial .runas-cell {
        width: 20%;
    }
}

@media ( max-width : 768px) {

    .permission-override-history-partial .store-number-header,
    .permission-override-history-partial .store-number-cell {
        width: 0%;
    }

    .permission-override-history-partial .application-name-cell,
    .permission-override-history-partial .application-name-cell {
        width: 20%;
    }

    .permission-override-history-partial .permission-header,
    .permission-override-history-partial .permission-cell {
        width: 20%;
    }

    .permission-override-history-partial .modifiedon-header,
    .permission-override-history-partial .modifiedon-cell {
        width: 20%;
    }

    .permission-override-history-partial .modifiedby-header,
    .permission-override-history-partial .modifiedby-cell {
        width: 20%;
    }

    .permission-override-history-partial .runas-header,
    .permission-override-history-partial .runas-cell {
        width: 20%;
    }
}



/**
 * ROLE CONFIGURATION
 */

.role-configuration-partial .rolesDropDown {
    width: 320px;
}

.role-configuration-partial .k-grid-content {
   max-height: 400px;
}

.role-configuration-partial .change-indicator-visible {
    color:red;   
    visibility:visible;
}

.role-configuration-partial .change-indicator-hidden {
    visibility:hidden;
}

.role-configuration-partial .change-indicator-visible-container {
    color:red;    
}

.role-configuration-partial .change-indicator-hidden-container {
    
}

/**
 * STORE ASSIGNMENTS
 */

.store-assignments-partial .k-grid-content {
   max-height: 400px;
}

/**
 * PERSON GRID
 */

@media ( max-width : 768px) {
    .person-partial .role-name-header,
    .person-partial .role-name-cell {
        width: 100%;        
    }

    .person-partial .role-description-header,
    .person-partial .role-description-cell {
        width: 0%;
    }  
}

@media ( min-width : 768px) {
    .person-partial .role-name-header,
    .person-partial .role-name-cell {
        width: 40%;
    }

    .person-partial .role-description-header,
    .person-partial .role-description-cell {
        width: 60%;
    }
}

.person-partial .toolbar-header {
    padding:6px;
    border-radius:3px;
}

/**
 * STORE GRID
 */

@media ( max-width : 768px) {
    .person-partial .store-name-header,
    .person-partial .store-name-cell {
        width: 100%;        
    }   
}

@media ( min-width : 768px) {
    .person-partial .store-name-header,
    .person-partial .store-name-cell {
        width: 100%;
    }    
}

/**
 * OVERRIDES ELEMENTS
 */

/*.overrides-partial .cell-empty {    
} 
*/
.overrides-partial .cell-checked {   
    /*color: green;*/
    text-align: center;    
    width:100%;
} 

.overrides-partial .cell-unchecked {    
    /*color: red;*/  
    text-align: center;    
    width:100%; 
}

.overrides-partial .storesDropDown {
    min-width: 100px;    
}

@media ( max-width : 768px) {    
    .overrides-partial .non-essential-column-header,
    .overrides-partial .non-essential-column  {        
        width:0px; 
        display:none;    
    }
     
    .overrides-partial .essential-column-header,
    .overrides-partial .essential-column  {        
        width:100%;       
    }   
}

/**
 * Pos Custom Role
 */

#posPermissionsGrid .copy-role,
#posPermissionsGrid .edit-role,
#posPermissionsGrid .delete-role,
#posPermissionsGrid .save-role,
#posPermissionsGrid .cancel-role {
    cursor: pointer;
    padding-left: 5px;
}

.posPermission-partial .k-grid-content {
   max-height: 500px;
   overflow-x: scroll;
   overflow-y: scroll;
}

#posPermissionsGrid .k-header,
.poscustomlevel-cell
{
    overflow: visible;
    white-space: normal;
}

#posPermissionsGrid .k-grid-header-wrap > table, /* header table */
#posPermissionsGrid .k-grid-content table /* data table */
{
    min-width: 500px;
}

.custom-role-edit:hover {
    background-color: #9bdbf2;
}

/**
 * GENERIC GRID ELEMENTS  
 */

a.table-cell-disabled-link {        
    color:inherit;
    pointer-events: none;
    cursor: default;  
    text-decoration: none;
    outline: 0;
}

a.table-cell-enabled-link {        
    color:inherit;  
    cursor: pointer;  
    text-decoration: underline;
    outline: 0;
}

/**
 * FOOTER
 */

.footer {
    color: #000 !important;     
    height: auto;
    padding: 5px;
    text-align: center;
    vertical-align: middle; 
    font-size: 10pt;  
}

.footer div {    
    width: 100%;
}

/**
 * some margin, padding class
 */

div.voffset5 { margin-bottom: 5px; }
div.voffset10 { margin-bottom: 10px; }

/**
 * third party import notification
 */

.countCircle
 {
    border-radius: 50%;

    width: 36px;
    height: 36px;
    padding: 1px;

    border: 2px solid #666;
    text-align: center;

    font: 12px Arial, sans-serif;
    
}

.fwh-kendoGrid-no-data {
    color: red;
    font-weight: bold;
    text-align: center;
}

label.required:after {
    content: " *";
    color: red;
    font-weight: bold;
    font-size: 16px
}

.subwaylistens-reminder-content {
    width: 300px;
    text-align: center;
}

.subwaylistens-reminder-text, .teamaccess-ok-dialog-text {
    padding-bottom: 1px;
    padding-top: 1px;
    padding-left: 1px;
    padding-right: 1px;
    text-align: left;
}

.button-ok {
    width: 60px;
}

.acknowledgementTextContainer > p {
    padding-bottom: 7px;
}
.acknowledgementTextContainer > div.acknowledgementText {
    text-align: justify;
}

.teamaccess-confirmation-dialog > .actions-area {
    text-align: center;
    padding-top: 5px;
}

.teamaccess-consent-email-dialog > .actions-area {
    text-align: center;
    padding-top: 5px;
}

.teamaccess-consent-email-dialog table tr th {
    text-align: right;
    width: 33.333333%;
    padding: 5px;
}

.teamaccess-consent-email-dialog table tr td {
    text-align: left;
    width: 66.666666%;
    padding: 5px;
}